"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.uploadIcon = exports.typeSort = exports.typeList = exports.saveOrUpdate = exports.listIcon = exports.delType = exports.changeStatus = exports.addOrUpdateType = void 0;
const tslib_1 = require("tslib");
// @ts-ignore
/* eslint-disable */
const request_1 = tslib_1.__importDefault(require("@/utils/request"));
/** 增加或者修改分类 POST /smarthome/ops/iconManagement/addType */
function addOrUpdateType(body, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/iconManagement/addType`, method: 'POST', data: body }, (options || {})));
    });
}
exports.addOrUpdateType = addOrUpdateType;
/** 修改图标状态 POST /smarthome/ops/iconManagement/changeStatus */
function changeStatus(params, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/iconManagement/changeStatus`, method: 'POST', params: Object.assign({}, params) }, (options || {})));
    });
}
exports.changeStatus = changeStatus;
/** 删除分类 POST /smarthome/ops/iconManagement/delType */
function delType(params, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/iconManagement/delType`, method: 'POST', params: Object.assign({}, params) }, (options || {})));
    });
}
exports.delType = delType;
/** icon图标列表 POST /smarthome/ops/iconManagement/list */
function listIcon(body, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/iconManagement/list`, method: 'POST', data: body }, (options || {})));
    });
}
exports.listIcon = listIcon;
/** 修改图标 POST /smarthome/ops/iconManagement/saveOrUpdate */
function saveOrUpdate(body, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/iconManagement/saveOrUpdate`, method: 'POST', data: body }, (options || {})));
    });
}
exports.saveOrUpdate = saveOrUpdate;
/** 分类列表 POST /smarthome/ops/iconManagement/typeList */
function typeList(options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/iconManagement/typeList`, method: 'POST' }, (options || {})));
    });
}
exports.typeList = typeList;
/** 分类排序 POST /smarthome/ops/iconManagement/typeSort */
function typeSort(body, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/iconManagement/typeSort`, method: 'POST', data: body }, (options || {})));
    });
}
exports.typeSort = typeSort;
/** 上传icon文件 POST /smarthome/ops/upload/iconFile */
function uploadIcon(body, file, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const formData = new FormData();
        if (file) {
            formData.append('file', file);
        }
        Object.keys(body).forEach((ele) => {
            const item = body[ele];
            if (item !== undefined && item !== null) {
                formData.append(ele, typeof item === 'object' && !(item instanceof File) ? JSON.stringify(item) : item);
            }
        });
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/upload/iconFile`, method: 'POST', headers: {
                'Content-Type': 'multipart/form-data',
            }, data: formData }, (options || {})));
    });
}
exports.uploadIcon = uploadIcon;
